package cn.com.ty.lift.ud.appmenu.mapper.entity;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class MemberMeunResp {
    
    private Long id;
    
    /**
     * 等级名称
     */
    @ApiModelProperty("等级名称")
    private String name;

    /**
     * 价格
     */
    @ApiModelProperty("价格")
    private BigDecimal price;

    /**
     * 一级返利
     */
    @ApiModelProperty("一级返利")
    private BigDecimal rebate1;

    /**
     * 二级返利
     */
    @ApiModelProperty("二级返利")
    private BigDecimal rebate2;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
    private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    private String notExamineReason;
    
    @ApiModelProperty("卡片")
    private String image;

    private List<Appmenu> menuList;

    public List<Appmenu> getMenuList() {
        return menuList;
    }

    public void setMenuList(List<Appmenu> menuList) {
        this.menuList = menuList;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getRebate1() {
        return rebate1;
    }

    public void setRebate1(BigDecimal rebate1) {
        this.rebate1 = rebate1;
    }

    public BigDecimal getRebate2() {
        return rebate2;
    }

    public void setRebate2(BigDecimal rebate2) {
        this.rebate2 = rebate2;
    }

    public Integer getExamineFlag() {
        return examineFlag;
    }

    public void setExamineFlag(Integer examineFlag) {
        this.examineFlag = examineFlag;
    }

    public String getNotExamineReason() {
        return notExamineReason;
    }

    public void setNotExamineReason(String notExamineReason) {
        this.notExamineReason = notExamineReason;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }
    
}
